Package org.bukkit.metadata

# Interface MetadataValue

All Known Implementing Classes:
  `FixedMetadataValue`, `LazyMetadataValue`, `MetadataValueAdapter`

public interface MetadataValue

## Method Summary

Modifier and Type
Method
Description
`boolean`
`asBoolean()`
Attempts to convert the value of this metadata item into a boolean.
`byte`
`asByte()`
Attempts to convert the value of this metadata item into a byte.
`double`
`asDouble()`
Attempts to convert the value of this metadata item into a double.
`float`
`asFloat()`
Attempts to convert the value of this metadata item into a float.
`int`
`asInt()`
Attempts to convert the value of this metadata item into an int.
`long`
`asLong()`
Attempts to convert the value of this metadata item into a long.
`short`
`asShort()`
Attempts to convert the value of this metadata item into a short.
`@NotNull String`
`asString()`
Attempts to convert the value of this metadata item into a string.
`@Nullable Plugin`
`getOwningPlugin()`
Returns the `Plugin` that created this metadata item.
`void`
`invalidate()`
Invalidates this metadata item, forcing it to recompute when next accessed.
`@Nullable Object`
`value()`
Fetches the value of this metadata item.

## Method Details

### value

@Nullable @Nullable Object value()
Fetches the value of this metadata item.

Returns:
  the metadata value.

### asInt

int asInt()
Attempts to convert the value of this metadata item into an int.

Returns:
  the value as an int.

### asFloat

float asFloat()
Attempts to convert the value of this metadata item into a float.

Returns:
  the value as a float.

### asDouble

double asDouble()
Attempts to convert the value of this metadata item into a double.

Returns:
  the value as a double.

### asLong

long asLong()
Attempts to convert the value of this metadata item into a long.

Returns:
  the value as a long.

### asShort

short asShort()
Attempts to convert the value of this metadata item into a short.

Returns:
  the value as a short.

### asByte

byte asByte()
Attempts to convert the value of this metadata item into a byte.

Returns:
  the value as a byte.

### asBoolean

boolean asBoolean()
Attempts to convert the value of this metadata item into a boolean.

Returns:
  the value as a boolean.

### asString

@NotNull @NotNull String asString()
Attempts to convert the value of this metadata item into a string.

Returns:
  the value as a string.

### getOwningPlugin

@Nullable @Nullable Plugin getOwningPlugin()
Returns the `Plugin` that created this metadata item.

Returns:
  the plugin that owns this metadata value. Could be null if the plugin was already unloaded.

### invalidate

void invalidate()
Invalidates this metadata item, forcing it to recompute when next accessed.